Roundup Tracker - Issues

Issue 2550945

classification
Title: OpenPGP: newissuecopy.py shall encrypt if configured
Type: behavior Severity: normal
Components: Mail interface Versions: devel, 1.5
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: ber Nosy List: ThomasAH, ber, rouilj
Priority: normal Keywords: patch

Created on 2017-05-30 10:08 by ber, last changed 2017-09-05 06:18 by ber.

Files
File name Uploaded Description Edit Remove
g.diff ber, 2017-05-30 10:08
g2.diff ber, 2017-05-31 12:02
Messages
msg5982 Author: [hidden] (ber) Date: 2017-05-30 10:08
If someone configures crypto encryption, 
the notification of new issues shall consider this.

Here is a patch against hg5241:092c4522b3bf

Workaround, just add "crypt=True" as keyword parameter to the call.
An alternative to the patch could be to just add this as an example,
however I think considering the general configuration makes more sense.

(Currently I could not test the setup. Please if someone could test and
then commit.)
msg5983 Author: [hidden] (ThomasAH) Date: 2017-05-31 10:08
Both references to "self.db" have to be just "db". After this change it
already works.

The comment "last arg must be a list" should be adjusted, as it is no
longer the last arg.
msg5984 Author: [hidden] (ThomasAH) Date: 2017-05-31 10:10
oops, I just noticed that you already replaced "last" with "fourth".
msg5985 Author: [hidden] (ber) Date: 2017-05-31 12:02
Okay, here is an updated patch.
If no one else objects, I'd probably commit it some time.
(Tests appreciated.)
msg6009 Author: [hidden] (rouilj) Date: 2017-09-04 20:50
Looks like this should be fixed in checkin: 

changeset:   5244:39c9f69c3f31
parent:      5241:092c4522b3bf
user:        Bernhard Reiter <bernhard@intevation.de>
date:        Thu Jun 01 08:59:18 2017 +0200
files:       CHANGES.txt detectors/newissuecopy.py
description:
OpenPGP: Extends newissuecopy.py to encrypt if configured.

resolves issue2550945
msg6010 Author: [hidden] (ber) Date: 2017-09-05 06:18
@rouilj yes, thanks for noticing!
History
Date User Action Args
2017-09-05 06:18:08bersetmessages: + msg6010
2017-09-04 20:56:36rouiljsettype: behavior
2017-09-04 20:50:46rouiljsetstatus: new -> fixed
resolution: fixed
messages: + msg6009
nosy: + rouilj
2017-05-31 12:02:51bersetfiles: + g2.diff
messages: + msg5985
2017-05-31 10:10:47ThomasAHsetmessages: + msg5984
2017-05-31 10:08:01ThomasAHsetpriority: normal
assignee: ber
messages: + msg5983
nosy: + ThomasAH
2017-05-30 10:09:00bersetcomponents: + Mail interface
versions: + devel, 1.5
2017-05-30 10:08:26bercreate